require 'rails/generators'
require 'rails/generators/active_record'

class MonitoredProcessInstallGenerator < Rails::Generators::Base
	include ::Rails::Generators::Migration
  source_root File.expand_path('../templates', __FILE__)

  def create_migration_file
  	migration_template 'create_monitored_processes.rb', 'db/migrate/create_monitored_processes.rb'
  end

  def copy_mailer_templates
  	copy_file 'monitored_process_mailer.rb', 'app/mailers/monitored_process_mailer.rb'
  	copy_file 'process_execution_result_email.html.erb', 'app/views/monitored_process_mailer/process_execution_result_email.html.erb'
  end

  def self.next_migration_number(dirname)
  	::ActiveRecord::Generators::Base.next_migration_number(dirname)
  end
end
