class MonitoredProcessMailer < ActionMailer::Base
  default from: Rails.application.config.monitored_processes_email_from

  def process_execution_result_email(monitored_process)
  	return if Rails.application.config.monitored_processes_notificacion_emails.blank? or monitored_process.blank?

  	email_to = Rails.application.config.monitored_processes_notificacion_emails
    subject = "[#{Rails.env}] - #{monitored_process.name} - "
    case monitored_process.state
    when MonitoredProcess::Base::STATE[:running]
    	subject += "Is running"
    when MonitoredProcess::Base::STATE[:finished]
    	subject += "Finished correcly!"
  	when MonitoredProcess::Base::STATE[:finished_with_errors]
    	subject += "Finished with some errors :("
    end

    @monitored_process = monitored_process

    mail(to: email_to, subject: subject)
  end

end